Bug 1467356 - [Mellanox Pike FEAT] openstack-neutron: Add support for OVS HW offload [NEEDINFO]
Summary: [Mellanox Pike FEAT] openstack-neutron: Add support for OVS HW offload
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: z4
: 12.0 (Pike)
Assignee: Ihar Hrachyshka
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks: 1462592
TreeView+ depends on / blocked
 
Reported: 2017-07-03 13:38 UTC by Slava Shwartsman
Modified: 2018-08-27 18:12 UTC (History)
12 users (show)

Fixed In Version: openstack-neutron-11.0.2-0.20171027154909.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1468328 (view as bug list)
Environment:
Last Closed: 2018-08-27 18:12:29 UTC
Target Upstream Version:
jschluet: needinfo? (rhos-flags)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 275616 None MERGED hardware offload support for openvswitch 2020-09-15 03:42:09 UTC

Description Slava Shwartsman 2017-07-03 13:38:01 UTC
1. Feature Overview:
        a) Name of feature:
                Add support for OVS HW offload
        b) Feature description:
                This FR will allow OVS mech driver to bind direct (SR-IOV) port.
This will allow to offload the OVS flows using tc to the SR-IOV NIC
and gain accelerate OVS.
2. Feature Details:
        a) Architectures:
                x86_64, ppc64le, ppc64, aarch64
        b) Bugzilla dependencies:
        c) Drivers or hardware dependencies:
Kernel support for traffic Control hardware offloads framework for SR-IOV VFs.
HW offload support in OpenVSwitch.
        d) Upstream acceptance information:
        https://review.openstack.org/#/c/275616/ 
        https://review.openstack.org/#/c/452530/
        e) External links:
        f) Severity (H, M, L):
                High
        g) Feature needed by:
                Partner: Mellanox

3. Business Justification:
        a) why is this feature needed?
        b) What hardware does this enable?
        c) Business impact?
        d) Other business drivers?

4. Primary contact at Red Hat, email, phone (chat):
        Andre Beausoleil abeausol@redhat.com

5. Primary contact at Partner, email. phone (chat):
        Kamal Heib kheib@redhat.com, Slava Shwartsman sshwarts@redhat.com, Noa Spanier noas@mellanox.com

Comment 1 Ihar Hrachyshka 2017-07-26 16:20:49 UTC
My understanding is that all the relevant neutron patches are merged.

Comment 2 Ihar Hrachyshka 2017-07-26 16:23:23 UTC
Sorry, no OSP build yet that would include the patch.

Comment 5 Assaf Muller 2017-11-30 22:09:33 UTC
We're treating this as an upstream / partner patch, not an in-house RFE. We will not perform in-house testing for OSP 12, so I'm removing the RFE keyword.

Comment 8 Lon Hohberger 2018-03-29 10:34:26 UTC
According to our records, this should be resolved by openstack-neutron-11.0.2-1.el7ost.  This build is available now.

Comment 12 RHEL Program Management 2018-08-27 18:12:29 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.